/*---------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/
'use strict';
process.on('message', function (message) {
    if (message.command === 'exit') {
        process.exit(0);
    }
    else if (message.command === 'resolve') {
        try {
            var result = require.resolve(message.args);
            process.send({ command: 'resolve', success: true, result: result });
        }
        catch (err) {
            process.send({ command: 'resolve', success: false });
        }
    }
});
